#ifndef _HITEC_H
#define _HITEC_H

#define MOTORS	8

typedef union _hitec_devctl_msg {
        unsigned char tx_pos[MOTORS];         //Filled by client on send
        unsigned char rx_pos[MOTORS];         //Filled by server on reply
} data_t;

#define HITEC_CMD_CODE      1
#define HITEC_DEVCTL_GETVAL __DIOF(_DCMD_MISC,  HITEC_CMD_CODE + 0, int)
#define HITEC_DEVCTL_SETVAL __DIOT(_DCMD_MISC,  HITEC_CMD_CODE + 1, int)
#define HITEC_DEVCTL_SETGET __DIOTF(_DCMD_MISC, HITEC_CMD_CODE + 2, union _hitec_devctl_msg)

int pos2pwm(data_t *pos);

#endif /* _HITEC_H */
