/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 2.03  */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Local headers */
#include "ablibs.h"
#include "abimport.h"
#include "proto.h"

#include "Legs.h"

int
ChangeID( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

	{
	
	int *pId, Id = -1, j;
	static int lastId = 0;
	PtNumericIntegerCallback_t *ptr;
	double *pTicksVal;
	long *pLegVal[LEGS];

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	if (cbinfo) {
		ptr = 	(PtNumericIntegerCallback_t *) cbinfo->cbdata;
		Id = ptr->numeric_value;
	} else {
		PtGetResource(ABW_SeqID, Pt_ARG_NUMERIC_VALUE, &pId, 0);
		Id = *pId;
	}
	
	if (Id < 0 || Id >= MAXSTEPS)
		return  ( Pt_CONTINUE );

	if (cbinfo) {		
		PtGetResource(ABW_StepDelay, Pt_ARG_NUMERIC_VALUE, &pTicksVal, 0);
		for ( j = 0; j < LEGS; j++) {		
			PtGetResource(LegSizers[j], Pt_ARG_GAUGE_VALUE, &pLegVal[j], 0);																		
		}

		steptab[lastId].Ticks = *pTicksVal;
		for ( j = 0; j < LEGS; j++) {
			steptab[lastId].Leg[j] = *pLegVal[j];
		}
	}
		
	PtSetResource(ABW_StepDelay, Pt_ARG_NUMERIC_VALUE, &steptab[Id].Ticks, 0);
	for ( j = 0; j < LEGS; j++)
		PtSetResource(LegSizers[j], Pt_ARG_GAUGE_VALUE, steptab[Id].Leg[j], 0);
	
	lastId = Id;
	
	PtFlush();

	return( Pt_CONTINUE );

	}

