/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 2.03  */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Local headers */
#include "ablibs.h"
#include "abimport.h"
#include "proto.h"

#include "Legs.h"

step steptab[MAXSTEPS];

PtWidget_t *LegSizers[LEGS];

int
Init( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

	{
	
	int i, j;

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;
	
	for ( i = 0; i < MAXSTEPS; i++) {
		for ( j = 0; j < LEGS; j++) {
			steptab[i].Leg[j] = 0;
		}
		steptab[i].Ticks = 0;
	}
	
	LegSizers[0] = ABW_Leg1;
	LegSizers[1] = ABW_Leg2;
	LegSizers[2] = ABW_Leg3;
	LegSizers[3] = ABW_Leg4;
	LegSizers[4] = ABW_Leg5;
	LegSizers[5] = ABW_Leg6;
	LegSizers[6] = ABW_Leg7;
	LegSizers[7] = ABW_Leg8;
	
	return( Pt_CONTINUE );

}

