/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 2.03  */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>

/* Local headers */
#include "ablibs.h"
#include "abimport.h"
#include "proto.h"

#include "Legs.h"

int
Export( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

	{
	
	FILE *out;
	int i, j;

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;
	
	out = fopen("path", "w");
	if (!out) {
		perror("fopen()");
		return (Pt_CONTINUE);
	}
	
	for ( i = 0; i < MAXSTEPS; i++) {
		if (steptab[i].Ticks == 0)
			continue;
		fprintf(out, "%.1f", steptab[i].Ticks);
		for ( j = 0; j < LEGS; j++)
			fprintf(out, " %3d", steptab[i].Leg[j]);
		fprintf(out, "\n");
	}
	
	fclose(out);

	return( Pt_CONTINUE );

	}

