/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 2.03  */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Local headers */
#include "ablibs.h"
#include "abimport.h"
#include "proto.h"

#include "Legs.h"

int
Import( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

	{

	FILE *in;
	int i;
	char buf[80];

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;
	
	in = fopen("path", "r");
	if (!in) {
		perror("fopen()");
		return (Pt_CONTINUE);
	}

	i = 0;
	while(fgets(buf, sizeof(buf), in)) {
		sscanf(buf, "%lf %d %d %d %d %d %d %d %d\n",
			&steptab[i].Ticks,
			&steptab[i].Leg[0], &steptab[i].Leg[1], &steptab[i].Leg[2], &steptab[i].Leg[3],
			&steptab[i].Leg[4], &steptab[i].Leg[5], &steptab[i].Leg[6], &steptab[i].Leg[7]
		);
		i++;
	}
	
	fclose(in);
	
	ChangeID(NULL, NULL, NULL);

	return( Pt_CONTINUE );

	}

